OGRE: Ogre::FrameTimeControllerValue Class Reference - OGRE Documentation

Public Member Functions | Protected Attributes

# Ogre::FrameTimeControllerValue Class Reference
[General]

Predefined controller value for getting the latest frame time. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::FrameTimeControllerValue:
[legend]

List of all members.

## Public Member Functions
| FrameTimeControllerValue ()
bool | frameEnded (const FrameEvent &evt)
| Called just after a frame has been rendered.
bool | frameStarted (const FrameEvent &evt)
| Called when a frame is about to begin rendering.
Real | getValue (void) const
void | setValue (Real value)
Real | getTimeFactor (void) const
void | setTimeFactor (Real tf)
Real | getFrameDelay (void) const
void | setFrameDelay (Real fd)
Real | getElapsedTime (void) const
void | setElapsedTime (Real elapsedTime)
virtual Real | getValue (void) const =0
virtual void | setValue (Realvalue)=0
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
virtual bool | frameRenderingQueued (const FrameEvent &evt)
| Called after all render targets have had their rendering commands issued, but before render windows have been asked to flip their buffers over.
## Protected Attributes
Real | mFrameTime
Real | mTimeFactor
Real | mElapsedTime
Real | mFrameDelay

## Detailed Description

Predefined controller value for getting the latest frame time.

Definition at line 51 of file OgrePredefinedControllers.h.

## Constructor & Destructor Documentation

Ogre::FrameTimeControllerValue::FrameTimeControllerValue | ( |  | ) |

## Member Function Documentation

bool Ogre::FrameTimeControllerValue::frameEnded | ( | const FrameEvent & | evt | ) | `[virtual]`

Called just after a frame has been rendered.

Remarks:
  This event happens after all render targets have been fully updated and the buffers switched.

Returns:
  True to continue with the next frame, false to drop out of the rendering loop.

Reimplemented from Ogre::FrameListener.

virtual bool Ogre::FrameListener::frameRenderingQueued | ( | const FrameEvent & | evt | ) | `[virtual, inherited]`

Called after all render targets have had their rendering commands issued, but before render windows have been asked to flip their buffers over.

Remarks:
  The usefulness of this event comes from the fact that rendering commands are queued for the GPU to process. These can take a little while to finish, and so while that is happening the CPU can be doing useful things. Once the request to 'flip buffers' happens, the thread requesting it will block until the GPU is ready, which can waste CPU cycles. Therefore, it is often a good idea to use this callback to perform per-frame processing. Of course because the frame's rendering commands have already been issued, any changes you make will only take effect from the next frame, but in most cases that's not noticeable.

Returns:
  True to continue rendering, false to drop out of the rendering loop.

Definition at line 119 of file OgreFrameListener.h.

bool Ogre::FrameTimeControllerValue::frameStarted | ( | const FrameEvent & | evt | ) | `[virtual]`

Called when a frame is about to begin rendering.

Remarks:
  This event happens before any render targets have begun updating.

Returns:
  True to go ahead, false to abort rendering and drop out of the rendering loop.

Reimplemented from Ogre::FrameListener.

Real Ogre::FrameTimeControllerValue::getElapsedTime | ( | void |  | ) | const

Real Ogre::FrameTimeControllerValue::getFrameDelay | ( | void |  | ) | const

Real Ogre::FrameTimeControllerValue::getTimeFactor | ( | void |  | ) | const

virtual Real Ogre::ControllerValue< Real >::getValue | ( | void |  | ) | const`[pure virtual, inherited]`

Implemented in Ogre::AnimationStateControllerValue, Ogre::TextureFrameControllerValue, Ogre::TexCoordModifierControllerValue, and Ogre::FloatGpuParameterControllerValue.

Real Ogre::FrameTimeControllerValue::getValue | ( | void |  | ) | const

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

void Ogre::FrameTimeControllerValue::setElapsedTime | ( | Real | elapsedTime | ) |

void Ogre::FrameTimeControllerValue::setFrameDelay | ( | Real | fd | ) |

void Ogre::FrameTimeControllerValue::setTimeFactor | ( | Real | tf | ) |

virtual void Ogre::ControllerValue< Real >::setValue | ( | Real | value | ) | `[pure virtual, inherited]`

Implemented in Ogre::AnimationStateControllerValue, Ogre::TextureFrameControllerValue, Ogre::TexCoordModifierControllerValue, and Ogre::FloatGpuParameterControllerValue.

void Ogre::FrameTimeControllerValue::setValue | ( | Real | value | ) |

## Member Data Documentation

Real Ogre::FrameTimeControllerValue::mElapsedTime`[protected]`

Definition at line 56 of file OgrePredefinedControllers.h.

Real Ogre::FrameTimeControllerValue::mFrameDelay`[protected]`

Definition at line 57 of file OgrePredefinedControllers.h.

Real Ogre::FrameTimeControllerValue::mFrameTime`[protected]`

Definition at line 54 of file OgrePredefinedControllers.h.

Real Ogre::FrameTimeControllerValue::mTimeFactor`[protected]`

Definition at line 55 of file OgrePredefinedControllers.h.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:58